program takmicenje2zad1;
var a, b, c, ac, bc, cc, k, z1, z2: int64;
begin
read(a, b, c);
ac := 1;
bc := 1;
cc := 1;
k := a;
while k <> 0 do
  begin
    ac := ac * 10;
    k := k div 10;
  end;
k := b;
while k <> 0 do
  begin
    bc := bc * 10;
    k := k div 10;
  end;
k := c;
while k <> 0 do
  begin
    cc := cc * 10;
    k := k div 10;
  end;
if a*cc + c > c*ac + a then z1 := a*cc + c
else z1 := c*ac + a;

if z1*bc + b > b*ac*cc + z1 then z1 := z1*bc + b
else z1 := b*ac*cc + z1;

if a*bc + b > b*ac + a then z2 := a*bc + b
else z2 := b*ac + a;

if z2*cc + c > c*bc*ac + z2 then z2 := z2*cc + c
else z2 := c*bc*ac + z2;

if z1 > z2 then writeln(z1)
else writeln(z2);
end.